TIMER_CREATE(2)

NAME
timer_create - Create a POSIX.1b interval timer clock

SYNOPSIS

long sys_timer_create (clockid_t which_clock, struct sigevent *timer_event_spec, timer_t *created_timer_id);

DESCRIPTION

timer_create creates a POSIX.1b interval timer, pointed to by created_timer_id, using the which_clock format. The timer_event_spec points to a sigevent structure if non-NULL. The sigevent structure defines the asynchronous notification that occurs when the timer expires.

The values that clockid_t currently supports for POSIX.1b timers, as defined in include/linux.time.h, are:

CLOCK_REALTIME
    Systemwide realtime clock.

CLOCK_MONOTONIC
    Represents monotonic time. Cannot be set.

CLOCK_PROCESS_CPUTIME_ID
    High resolution per-process timer.

CLOCK_THREAD_CPUTIME_ID
    Thread-specific timer.

CLOCK_REALTIME_HR
    High resolution version of CLOCK_REALTIME.

CLOCK_MONOTONIC_HR
    High resolution version of CLOCK_MONOTONIC.

RETURN VALUE

timer_create returns 0 on success and updates the created_timer_id value; otherwise, it returns one of the errors listed in the "Errors" section.

ERRORS

-EINVAL
    An invalid which_clock value was specified.

-EAGAIN
    The system could not process the request.

-EFAULT
    An invalid timer_event_spec value was specified.

SEE ALSO

timer_delete(2), timer_getoverrun(2), timer_gettime(2), timer_settime(2)

AUTHOR
Niki Rahimi